export declare const NxCloudChoices: string[];
declare const messageOptions: {
    readonly setupCI: readonly [{
        readonly code: "enable-nx-cloud";
        readonly message: "Do you want Nx Cloud to make your CI fast?";
        readonly initial: 1;
        readonly choices: readonly [{
            readonly value: "yes";
            readonly name: "Yes, enable Nx Cloud";
        }, {
            readonly value: "github";
            readonly name: "Yes, configure Nx Cloud for GitHub Actions";
        }, {
            readonly value: "circleci";
            readonly name: "Yes, configure Nx Cloud for Circle CI";
        }, {
            readonly value: "skip";
            readonly name: "Skip for now";
        }];
        readonly footer: "\nRead more about remote cache at https://nx.dev/ci/features/remote-cache";
        readonly hint: "\n(it's free and can be disabled any time)";
        readonly fallback: undefined;
    }, {
        readonly code: "set-up-ci";
        readonly message: "Set up CI with caching, distribution and test deflaking";
        readonly initial: 0;
        readonly choices: readonly [{
            readonly value: "github";
            readonly name: "Yes, for GitHub Actions with Nx Cloud";
        }, {
            readonly value: "circleci";
            readonly name: "Yes, for CircleCI with Nx Cloud";
        }, {
            readonly value: "skip";
            readonly name: "Skip for now";
        }];
        readonly footer: "\nRead more about CI benefits with Nx at https://nx.dev/ci/intro/ci-with-nx";
        readonly hint: "\n(it's free and can be disabled any time)";
        readonly fallback: {
            readonly value: "skip";
            readonly key: "setupNxCloud";
        };
    }];
    readonly setupNxCloud: readonly [{
        readonly code: "enable-caching";
        readonly message: "Would you like remote caching to make your build faster?";
        readonly initial: 0;
        readonly choices: readonly [{
            readonly value: "yes";
            readonly name: "Yes";
        }, {
            readonly value: "skip";
            readonly name: "Skip for now";
        }];
        readonly footer: "\nRead more about remote caching at https://nx.dev/ci/features/remote-cache";
        readonly hint: "\n(it's free and can be disabled any time)";
        readonly fallback: undefined;
    }];
};
export type MessageKey = keyof typeof messageOptions;
type MessageData = typeof messageOptions[MessageKey][number];
export declare class PromptMessages {
    private selectedMessages;
    getPrompt(key: MessageKey): MessageData;
    codeOfSelectedPromptMessage(key: MessageKey): string;
}
export declare const messages: PromptMessages;
/**
 * We are incrementing a counter to track how often create-nx-workspace is used in CI
 * vs dev environments. No personal information is collected.
 */
export declare function recordStat(opts: {
    command: string;
    nxVersion: string;
    useCloud: boolean;
    meta: string[];
}): Promise<void>;
export {};
